Skip to main content

Where to get MS Visual Studio 2005 to set up PhoneMe environment?

3 replies [Last post]
t56
Offline
Joined: 2009-03-11
Points: 0

Hi all,
I'm a bit confused about setting up the PhoneME environment. I want to develop a CDC application for Windows Mobile 5 and use the Derby database. On
http://www.cs.kuleuven.be/~davy/phoneme/?q=node/12
it says that I need "Microsoft Visual Studio 2005 (Windows Mobile 5)" and "Windows Mobile 5 SDKs". I downloaded Visual Studio 2005 Express but couldn't install "Windows Mobile 5.0 SDK for Pocket PC" as it said during the installation that "software development tools are required to use this SDK". I then came across a site that said it would only work for Visual Studio 2005 Standard or Professional versions which you appear to have to purchase. In Terrence Barr's (Tech. Evangelist, Mobile & Embedded Community,Sun Microsystems) artice "Programming for cool devices using the open source Java ME phoneME stack", he says

Install Java SE 1.4.2 SDK
For Microsoft environments also install
> Microsoft Visual Studio Express 2005 C++ (free)
> cygwin (+ packages for above tools) (free)
> For Windows Mobile platforms: ActiveSync, PocketPC 5.0 SDK

But, although I have everything installed, the PocketPC 5.0 SDK installation moans that the required S/W development tools aren't installed.
Any ideas will be gratefully received.
Thanks, John.

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
davyp
Offline
Joined: 2007-01-03
Points: 0

You only need the visual studio compilers and SDKs if you are going to compile the virtual
machine yourself. If you just want to develop Java applications and use a prebuilt VM to run them, then you can use whatever Java development tool you prefer.

Davy

t56
Offline
Joined: 2009-03-11
Points: 0

That's brilliant. Thanks Terrence.

t56
Offline
Joined: 2009-03-11
Points: 0

Oops - I meant, thanks Davy.